#! /usr/bin/env node

var args = require('yargs')
  .usage('Usage: export-events [options]')
  .default('password', 'changeit')
  .default('username', 'admin')
  .default('ipaddress', '127.0.0.1')
  .default('port', '2113')
  .default('type', '')
  .default('countperstream', null)
  .default('readstream', '$all')
  .describe('type', 'Looks for a single event type and outputs the streams this type has been raised in')
  .describe('readstream', 'The stream to read events from - default to reading from all')
  .help('h')
  .alias('h', 'help')
  .alias('u', 'username')
  .alias('p', 'password')
  .alias('t', 'type')
  .argv

var readAllEvents = require('./lib/readAllEvents')

readAllEvents(args)
